%define version  0.6.2
%define release  1mdk
%define prefix   %{_prefix}

Summary: Gtk/gnome widget builder
Summary(fr): Generateur de Widgets gtk/gnome
Name: glade
Version: %version
Release: %release
Copyright: LGPL
Group: Development/GNOME and GTK+
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
Source0: http://glade.pn.org/glade-%{version}.tar.bz2
Source2: %{name}_icons.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libgnome-db0-devel
BuildRequires: libgda0-devel scrollkeeper
URL: http://glade.pn.org/
Requires: gnome-libs-devel >= 1.0.14
Requires: gtk+-devel >= 1.2.8
Requires: gettext >= 0.10.35
PreReq:	scrollkeeper

%description
Glade is a Widget builder for Gtk/gnome. 
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%description -l fr
Glade est un gnrateur de widgets gtk/gnome. 
Il permet de crer une interface gtk/gnome en C, C++, Ada et Perl.

%prep
%setup -q -a 2

%build
CXXFLAGS="$RPM_OPT_FLAGS" %configure --with-bonobo
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT%{_datadir}/pixmaps


## menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%{name}): command="/usr/bin/%{name}" needs="X11" \
icon="%{name}.xpm" section="Applications/Development/Development environments" \
title="Glade" longtitle="Gtk/gnome widget builder"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mini
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT%{_datadir}/icons/large/%{name}.xpm

%{find_lang} %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO doc/*.txt
%{_bindir}/*
%{_datadir}/glade
%{_datadir}/gnome/help/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Really remove tar call in prep section
- Add scrollkeeper support

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-2mdk
- s!tar xvfy %{SOURCE2}!%setup -q -a2, thus removing stupid bzip2 warning
  about obsolete flags
- capitalize menu title

* Wed Mar 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-1mdk
- new release stable now !!!


* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.11-1mdk
- new release

* Tue Sep 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.10-1mdk
- Up to 0.5.10

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-7mdk
- Correct icon attribut in menu file

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-6mdk
- use find_lang macro
- More Macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-5mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.9-4mdk
- _menudir
- _prefix
- bzip2 menu entry to shut up rpmlint
- remove stupid docdir: tag

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix makeinstall (Stefan van der Eijk)
- spec simplification


* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-2mdk
- fix buildroot directory which conflicts with ImageMagic (cut&paste :-( )

* Wed Jun  7 2000 Vincent Saugey  <vince@mandrakesoft.com> 0.5.9-1mdk
- Up to 0.5.9
- Clean in spec file

* Sat Apr 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-8mdk
- Add requires gettext

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-7mdk
- corrected group
- add menu entry
- add a icon for nenu

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the Franch description (it is '%%description -l lang'
  and not '%%description(lang)' !)
- added an icon for the rpm 

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.5.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- bzip2 source
- update Source: url

* Wed Sep 29 1999 Obiwan Kenobi <kenobi@mandrakesoft.com>
- Nothing.

* Wed Jun 23 1999 Jose Mercado <jmercado@mit.edu>
- Changed the Source variable to use %{var}.
- Fixed glade.desktop's path so rpm will find it.
